# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Aug 14 15:16:32 2024
# ------------------------------------------------

package:
  name: orthanq
  version: 1.7.2
source:
  sha256: 12f8170e92fecf99bde81c26049f6a811b751395a1e7cda45ca0810cef42e81e
  url: https://github.com/orthanq/orthanq/archive/v1.7.2.tar.gz
build:
  number: '0'
  run_exports:
    - orthanq >=1.7.2,<2.0a0
  string: hf08f4e0_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - binutils_impl_linux-aarch64 2.40 hf54a868_7
    - binutils_linux-aarch64 2.40 h1f91aba_0
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.3 h68df207_0
    - ca-certificates 2024.7.4 hcefe29a_0
    - cmake 3.30.2 h7042e5d_0
    - gcc_impl_linux-aarch64 12.4.0 hfb8d6db_0
    - gcc_linux-aarch64 12.4.0 heb3b579_0
    - gxx_impl_linux-aarch64 12.4.0 h3c1ec91_0
    - gxx_linux-aarch64 12.4.0 h3f57e68_0
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libcurl 8.9.1 hfa30633_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.2 h2f0025b_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc-devel_linux-aarch64 12.4.0 h7b3af7c_100
    - libgcc-ng 14.1.0 he277a41_0
    - libglib 2.80.3 haee52c6_2
    - libgomp 14.1.0 he277a41_0
    - libiconv 1.17 h31becfc_2
    - libnghttp2 1.58.0 hb0e430d_1
    - libsanitizer 12.4.0 h469570c_0
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-devel_linux-aarch64 12.4.0 h7b3af7c_100
    - libstdcxx-ng 14.1.0 h3f4de04_0
    - libuv 1.48.0 h31becfc_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h68df207_1
    - make 4.3 h309ac5b_1
    - ncurses 6.5 h0425590_0
    - openssl 3.3.1 h68df207_2
    - pcre2 10.44 h070dd5b_2
    - perl 5.32.1 7_h31becfc_perl5
    - perl-findbin 1.51 pl5321hdfd78af_3
    - pkg-config 0.29.2 hce167ba_1009
    - rhash 1.4.4 h31becfc_0
    - rust 1.80.1 h3393a65_0
    - rust-std-aarch64-unknown-linux-gnu 1.80.1 hbe8e118_0
    - rust_linux-aarch64 1.80.1 h50fbf86_2
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tzdata 2024a h0c530f3_0
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - binutils_impl_linux-aarch64 2.40 hf54a868_7
    - blis 0.9.0 h68df207_2
    - bwa 0.7.18 h73052cd_1
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.3 h68df207_0
    - ca-certificates 2024.7.4 hcefe29a_0
    - clang 18.1.7 default_h33a044b_0
    - clang-18 18.1.7 default_h9270250_0
    - clang-format 18.1.7 default_h9270250_0
    - clang-format-18 18.1.7 default_h9270250_0
    - clang-tools 18.1.7 default_h9270250_0
    - clangdev 18.1.7 default_h9270250_0
    - clangxx 18.1.7 default_hd60f0d2_0
    - coin-or-cbc 2.10.11 hb9e0841_0
    - coin-or-cgl 0.60.7 hf7bac96_0
    - coin-or-clp 1.17.8 head2774_0
    - coin-or-osi 0.108.10 hb66c02a_0
    - coin-or-utils 2.11.11 h6f8d6ce_0
    - coincbc 2.10.11 0_metapackage
    - expat 2.6.2 h2f0025b_0
    - fontconfig 2.14.2 ha9a116f_0
    - freetype 2.12.1 hf0a5ef3_2
    - gsl 2.7 h294027d_0
    - hdf5 1.10.5 nompi_hcba77fc_1114
    - htslib 1.19.1 hf455071_2
    - icu 73.2 h787c7f5_0
    - k8 1.2 h7f4e536_0
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libblas 3.9.0 6_ha7e5223_netlib
    - libcblas 3.9.0 6_ha7e5223_netlib
    - libclang 18.1.7 default_h9270250_0
    - libclang-cpp 18.1.7 default_h9270250_0
    - libclang-cpp18.1 18.1.7 default_h9270250_0
    - libclang13 18.1.7 default_h1f68d68_0
    - libcurl 8.8.0 h4e8248e_1
    - libdeflate 1.18 hb4cce97_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.2 h2f0025b_0
    - libgcc-devel_linux-aarch64 14.1.0 h8373c25_100
    - libgcc-ng 14.1.0 he277a41_0
    - libgfortran-ng 14.1.0 he9431aa_0
    - libgfortran5 14.1.0 h9420597_0
    - libgomp 14.1.0 he277a41_0
    - libiconv 1.17 h31becfc_2
    - liblapack 3.9.0 6_ha7e5223_netlib
    - liblapacke 3.9.0 6_ha7e5223_netlib
    - libllvm18 18.1.7 h97c352a_0
    - libnghttp2 1.58.0 hb0e430d_1
    - libpng 1.6.43 h194ca79_0
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-devel_linux-aarch64 14.1.0 h8373c25_100
    - libstdcxx-ng 14.1.0 h3f4de04_0
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libxml2 2.12.7 h49dc7a2_1
    - libzlib 1.2.13 h68df207_6
    - llvm-tools 18.1.7 h97c352a_0
    - llvmdev 18.1.7 h97c352a_0
    - minimap2 2.28 h73052cd_1
    - ncurses 6.5 h0425590_0
    - openssl 3.3.1 h68df207_2
    - perl 5.32.1 7_h31becfc_perl5
    - python_abi 3.8 4_cp38
    - readline 8.2 h8fc344f_1
    - samtools 1.19.2 h7a5d460_1
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tzdata 2024a h0c530f3_0
    - varlociraptor 8.4.7 hc22d69d_0
    - vg 1.56.0 h23ed54d_1
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.2.13 h68df207_6
    - zstd 1.5.6 h02f22dd_0
  run:
    - bwa >=0.7.18,<0.8.0a0
    - bzip2 >=1.0.8,<2.0a0
    - clangdev
    - coincbc
    - fontconfig >=2.14.2,<3.0a0
    - fonts-conda-ecosystem
    - gsl >=2.7,<2.8.0a0
    - hdf5 =1.10.5
    - hdf5 >=1.10.5,<1.10.6.0a0
    - htslib >=1.19.1,<1.20.0a0
    - libcblas >=3.9.0,<4.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<2.0a0
    - minimap2 >=2.28,<3.0a0
    - openssl >=3.3.1,<4.0a0
    - samtools >=1.19.2,<2.0a0
    - varlociraptor >=8.4.7,<9.0a0
    - vg >=1.56.0,<2.0a0
    - xz >=5.2.6,<6.0a0
    - zlib
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - orthanq -h
about:
  home: https://github.com/orthanq/orthanq
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Uncertainty aware HLA typing and general haplotype quantification
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
